package com.ruoyi.project.production.controller.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 *  SAI检查管理导出VO
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/04/11 10:48:57
 */
public class SaiExportVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "序号", width = 8)
    private String no;

    /** 检查日期/时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionDate;

    /** 识别出的安全问题 */
    @Excel(name = "识别出的问题")
    private String dificiency;

    /** 采取或要采取的措施 */
    @Excel(name = "采取或要采取的措施")
    private String actions;

    /** 级别 */
    @Excel(name = "SAI级别")
    private Long saiLevel;

    /** 类别 */
    @Excel(name = "SAI类别")
    private String category;

    /** 检查人 */
    @Excel(name = "检查人")
    private String applicant;

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Date getInspectionDate() {
        return inspectionDate;
    }

    public void setInspectionDate(Date inspectionDate) {
        this.inspectionDate = inspectionDate;
    }

    public String getDificiency() {
        return dificiency;
    }

    public void setDificiency(String dificiency) {
        this.dificiency = dificiency;
    }

    public String getActions() {
        return actions;
    }

    public void setActions(String actions) {
        this.actions = actions;
    }

    public Long getSaiLevel() {
        return saiLevel;
    }

    public void setSaiLevel(Long saiLevel) {
        this.saiLevel = saiLevel;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }
}
